SDL_DestroyWindowSurface(3)

NAME
SDL_DestroyWindowSurface - Destroy the surface associated with the window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_DestroyWindowSurface(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to update.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowSurface(3), SDL_WindowHasSurface(3)